%% representation graphique optique 
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%5
%% carte de l'indice de refraction (optique) 
%% 
subplot(1,3,1) 
[x1,x2] = meshgrid(-1:.02:1, 0:.02:2);
[n,nx] = refract(x2,x1) ; 
pcolor(n) 
shading flat
axis off
%% labels 
xlabel('x'); 
ylabel('t'); 
title('indice de refraction')
%%%%  rayons 
subplot(1,3,2) 
traceray 
title('rayons') 
%%%%  sismos
subplot(1,3,3) 
sismo
title('instantanes') 
%%%%%%%%%%%%%%%%%%%%%%%%%